org.mariadb.jdbc.internal.packet.send

## Class SendPamAuthPacket

- java.lang.Object
- - org.mariadb.jdbc.internal.packet.send.AbstractAuthSwitchSendResponsePacket
  - - org.mariadb.jdbc.internal.packet.send.SendPamAuthPacket

All Implemented Interfaces:
  InterfaceAuthSwitchSendResponsePacket, InterfaceSendPacket

    public class SendPamAuthPacket
    extends AbstractAuthSwitchSendResponsePacket
    implements InterfaceAuthSwitchSendResponsePacket

### Nested Class Summary

Nested Classes
`class` `SendPamAuthPacket.RequestFocusListener` Force focus to input field.

### Field Summary

### Fields inherited from class org.mariadb.jdbc.internal.packet.send.AbstractAuthSwitchSendResponsePacket

`authData, packSeq, password, passwordCharacterEncoding`

### Constructor Summary

Constructors
Constructor and Description
`SendPamAuthPacket(ReadPacketFetcher packetFetcher, String password, byte[] authData, int packSeq, String passwordCharacterEncoding)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `handleResultPacket(ReadPacketFetcher packetFetcher)` Handle response packet.
`void` `send(OutputStream os)` Send native password stream.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SendPamAuthPacket

    public SendPamAuthPacket(ReadPacketFetcher packetFetcher,
                             String password,
                             byte[] authData,
                             int packSeq,
                             String passwordCharacterEncoding)

### Method Detail

#### send

    public void send(OutputStream os)
              throws IOException,
                     QueryException

Send native password stream.

Specified by:
  `send` in interface `InterfaceSendPacket`
Parameters:
  `os` - database socket
Throws:
  `IOException` - if a connection error occur
  `QueryException`

#### handleResultPacket

    public void handleResultPacket(ReadPacketFetcher packetFetcher)
                            throws QueryException,
                                   IOException

Description copied from class: `AbstractAuthSwitchSendResponsePacket`
Handle response packet.

Specified by:
  `handleResultPacket` in interface `InterfaceAuthSwitchSendResponsePacket`
Overrides:
  `handleResultPacket` in class `AbstractAuthSwitchSendResponsePacket`
Parameters:
  `packetFetcher` - packet fetcher
Throws:
  `QueryException` - if any functional error occur
  `IOException` - if any connection error occur